<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcQuest Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcQuest Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcQuest" --><!-- doxytag: inherits="iBase" -->
<p>This property class represents a quest.  
 <a href="structiPcQuest.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="quest_8h_source.html">propclass/quest.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcQuest:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcQuest.png" usemap="#iPcQuest_map" alt=""/>
  <map id="iPcQuest_map" name="iPcQuest_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,63,24"/>
</map>
 </div></div>

<p><a href="structiPcQuest-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiQuest.html">iQuest</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcQuest.html#acdd613ec325dc9559af9da95ad450f86">GetQuest</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the quest represented by this property class.  <a href="#acdd613ec325dc9559af9da95ad450f86"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcQuest.html#aa9b5e1a2446353a8cb5cbdaf9947965a">GetQuestName</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of the running quest.  <a href="#aa9b5e1a2446353a8cb5cbdaf9947965a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcQuest.html#a575885b1826d20e1c2d64f26e1bb1b63">NewQuest</a> (const char *name, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsHash.html">celParams</a> &amp;params)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize this quest with a new named quest.  <a href="#a575885b1826d20e1c2d64f26e1bb1b63"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcQuest.html#a087152294b0d826576a842bf4d5fade4">StopQuest</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Stop the current quest.  <a href="#a087152294b0d826576a842bf4d5fade4"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This property class represents a quest. </p>
<p>It uses the quest manager to manage quests. Note that this property class will automatically load the quest manager if it is missing.</p>
<p>This property class supports the following actions (add prefix 'cel.quest.action.' if you want to access this action through a message):</p>
<ul>
<li>NewQuest: parameters 'name' (string). All other string parameters will be passed to the quest itself.</li>
<li>StopQuest: no parameters.</li>
</ul>
<p>This property class supports the following properties:</p>
<ul>
<li>name (string, read only): name of the quest factory or null if no quest.</li>
<li>state (string, read/write): name of the current state. </li>
</ul>

<p>Definition at line <a class="el" href="quest_8h_source.html#l00043">43</a> of file <a class="el" href="quest_8h_source.html">quest.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="acdd613ec325dc9559af9da95ad450f86"></a><!-- doxytag: member="iPcQuest::GetQuest" ref="acdd613ec325dc9559af9da95ad450f86" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiQuest.html">iQuest</a>* <a class="el" href="structiPcQuest.html#acdd613ec325dc9559af9da95ad450f86">iPcQuest::GetQuest</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the quest represented by this property class. </p>

</div>
</div>
<a class="anchor" id="aa9b5e1a2446353a8cb5cbdaf9947965a"></a><!-- doxytag: member="iPcQuest::GetQuestName" ref="aa9b5e1a2446353a8cb5cbdaf9947965a" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiPcQuest.html#aa9b5e1a2446353a8cb5cbdaf9947965a">iPcQuest::GetQuestName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of the running quest. </p>

</div>
</div>
<a class="anchor" id="a575885b1826d20e1c2d64f26e1bb1b63"></a><!-- doxytag: member="iPcQuest::NewQuest" ref="a575885b1826d20e1c2d64f26e1bb1b63" args="(const char *name, celParams &amp;params)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcQuest.html#a575885b1826d20e1c2d64f26e1bb1b63">iPcQuest::NewQuest</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsHash.html">celParams</a> &amp;&#160;</td>
          <td class="paramname"><em>params</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Initialize this quest with a new named quest. </p>
<p>The quest manager will be used to find a quest factory that has the given name. Then that quest factory will be used to make a new quest instance that is then managed by this property class. If there is already a quest then that quest will be stopped. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>false if quest factory could not be found or if the quest could not be created for another reason. </dd></dl>

</div>
</div>
<a class="anchor" id="a087152294b0d826576a842bf4d5fade4"></a><!-- doxytag: member="iPcQuest::StopQuest" ref="a087152294b0d826576a842bf4d5fade4" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcQuest.html#a087152294b0d826576a842bf4d5fade4">iPcQuest::StopQuest</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Stop the current quest. </p>
<p>Does nothing if there is no quest. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="quest_8h_source.html">quest.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
